GRSF records management panel is still not working

Nov 27, 2020 03:02 PM - Aureliano Gentile

Status: Closed Start date: Nov 27, 2020

Priority: High Due date:  

Assignee: Yannis Marketakis % Done: 10%

Category:  Estimated time: 0.00 hour

Target version: GRSF   

Description

The GRSF records management panel is still not working.

Following the GRSF KB refresh we do need to use the management panel for further review/approve/merge/archive records, as well

as to connect, flag, and annotate.

CNR and FORTH colleagues,please,if possible make your best to solve this long awaited issue.

@marketak@ics.forth.gr

@pasquale.pagano@isti.cnr.it

@luca.frosini@isti.cnr.it

@francesco.mangiacrapa@isti.cnr.it 

FYI:

@bracken.vanniekerk@fao.org

@anton.ellenbroek@fao.org 

Related issues:

Related to StocksAndFisheriesKB - Feature #20688: Improve (simplify) the text... New Feb 10, 2021

Related to StocksAndFisheriesKB - Bug #20685: News feed - bad href in the GRS... Closed Feb 10, 2021

History

#1 - Nov 27, 2020 03:33 PM - Aureliano Gentile

An example for testing, we spotted that these two records can be merged:

da7c918f-b370-361c-9251-b4e06aa45d11    Penaeus aztecus - Gulf of Mexico    asfis:ABS+lme:5 pending 13893

f8da143d-4b0c-3565-a639-06177cfb626b    Farfantepenaeus aztecus - Gulf of Mexico    asfis:ABS+unk:USA-NMFS-GM   pending    

BRNSHRIMPGM

FYI:

@bracken.vanniekerk@fao.org 

#2 - Dec 09, 2020 01:03 PM - Yannis Marketakis

@luca.frosini@isti.cnr.it in order to test its behavior,

can we change the URL of the service used from the management panel (now it should be http://updater.grsf.d4science.org/grsf-services-updater) to

another hosted in our premises? I can provide you with the public URL of the service.

#3 - Dec 15, 2020 12:20 PM - Yannis Marketakis

Any updates on this?

#4 - Dec 17, 2020 08:42 AM - Luca Frosini

- Assignee changed from Luca Frosini to Francesco Mangiacrapa

#5 - Dec 17, 2020 12:09 PM - Francesco Mangiacrapa

- Status changed from New to In Progress

- % Done changed from 0 to 10

Hi all,

in the context of GRSF_Admin we have the current configuration in action:
http://updater.grsf.d4science.org/grsf-services-updater


<Resource version="0.4.x">

    <Type>RuntimeResource</Type>

    <Scopes>

        <Scope>/d4science.research-infrastructures.eu/FARM/GRSF_Admin</Scope>

    </Scopes>

    <Profile>

        <Category>Service</Category>

        <Name>GRSF Updater</Name>

        <Description>The service that allows GRSF administrators to manage  GRSF records</Description>

        <RunTime>

            <HostedOn>athena.ics.forth.gr</HostedOn>

            <GHN UniqueID="" />

            <Status>READY</Status>

        </RunTime>

        <AccessPoint>

            <Description>The base url of the GRSF-Updater service</Description>

            <Interface>

                <Endpoint EntryName="GRSF Update service">http://athena.ics.forth.gr:9000/grsf-services-update

r</Endpoint>

            </Interface>

            ....

 so the current URL of the GRSF service should be: http://athena.ics.forth.gr:9000/grsf-services-updater

@marketak@ics.forth.gr, do you want update this URL?

#6 - Dec 17, 2020 12:21 PM - Yannis Marketakis

@francesco.mangiacrapa@isti.cnr.it Are you sure it is this one and not https://updater.grsf.d4science.org/grsf-services-updater/ ?

I just tried doing some activities with the management panel and I see that the second one is used. 

#7 - Dec 17, 2020 03:58 PM - Francesco Mangiacrapa

@marketak@ics.forth.gr I just performed a test trying to manage a record via "Manage Item" (at 

https://i-marine.d4science.org/group/grsf_admin/data-catalogue)

The record is the first one in the list, it is http://data.d4science.org/ctlg/GRSF_Admin/99904192-d6fd-39e1-9995-a8a2985b1177

The logs are:

2020-12-17 14:49:10,911 INFO  manage.GRSFNotificationService [ajp-bio-8009-exec-17,notifyProductUpdate:351] %1

4:49:10,911 INFO  [ajp-bio-8009-exec-17][GRSFNotificationService:351] Creating notification for the bean Manag

eProductBean [catalogueIdentifier=eb56e191-e6c9-4949-a9c3-939df7fe622b, currentGrsfType=Assessment Unit, newGr

sfType=Assessment Unit, shortNameUpdated=Benguela hake - Angola, traceabilityFlag=false, sdgFlag=false, curren

tStatus=Approved, newStatus=Pending, annotation=test, sources=[SourceRecord [name=FIRMS]], similarGrsfRecords=

[SimilarGRSFRecord [record=GenericRecord [knowledgeBaseId=1b81351d-4f54-3734-8d2e-e8410175163e, description=ov

erlapping areas and same species, shortName=Benguela Hake West Africa Subgroup 3, title=Merluccius polli - Cen

tral Gulf of Guinea - Southern Gulf of Guinea - 47.1.3. - Cape Salinas - Cape Palmeirinhas, url=http://data.d4

science.org/ctlg/GRSF_Admin/1b81351d-4f54-3734-8d2e-e8410175163e, semanticIdentifier=asfis:HKB+fao:34.3.5;fao:

34.3.6;fao:47.1.1;fao:47.1.2;fao:47.1.3., domain=Stock], suggestedMerge=false]], suggestedByKnowledgeBaseConne

ctions=[], suggestdByAdministratorConnections=[], currentConnections=[], connections=[], mergesInvolved=false,

 report=_-Information of the record managed:_ - GRSF Name 'Merluccius polli - Cunene - Cape Salinas - Cape Pal

meirinhas' ;_   - Short Name 'Benguela hake - Angola' ;_    - URL 'http://data.d4science.org/ctlg/GRSF_Admin/9

9904192-d6fd-39e1-9995-a8a2985b1177' ;_   - Semantic Identifier 'asfis:HKB+fao:47.1.1;fao:47.1.2;fao:47.1.3' ;

_   - Database Sources involved: FIRMS ;_- The GRSF Type is unchanged;_- Suggested merges:_- Annotation messag

e is: test;_- The Status has been changed to 'Pending'., hashtags=[Pending], GenericRecord=GenericRecord [know

ledgeBaseId=99904192-d6fd-39e1-9995-a8a2985b1177, description=Short Name: Benguela hake - Angola_GRSF Semantic

 identifier: asfis:HKB+fao:47.1.1;fao:47.1.2;fao:47.1.3_Record URL: http://data.d4science.org/ctlg/GRSF_Admin/

99904192-d6fd-39e1-9995-a8a2985b1177, shortName=Benguela hake - Angola, title=Merluccius polli - Cunene - Cape

 Salinas - Cape Palmeirinhas, url=http://data.d4science.org/ctlg/GRSF_Admin/99904192-d6fd-39e1-9995-a8a2985b11

77, semanticIdentifier=asfis:HKB+fao:47.1.1;fao:47.1.2;fao:47.1.3, domain=Stock]] to send to the knowledge bas

e [Sanitized]

2020-12-17 14:49:10,919 INFO  o.g.r.d.i.Helper [ajp-bio-8009-exec-17,queryAddAuthenticationControl:200][PORTAL

] 629138448 [ajp-bio-8009-exec-17] INFO  org.gcube.resources.discovery.icclient.Helper - submitting filtered q

uery: declare namespace ic = 'http://gcube-system.org/namespaces/informationsystem/registry'; declare namespac

e functx = "http://www.functx.com"; declare function functx:is-value-in-sequence   ( $value as xs:anyAtomicTyp

e? , $seq as xs:anyAtomicType* )  as xs:boolean { $value = $seq } ;  for  $entry0ValueAuth in  collection('/db

/Profiles/RuntimeResource')//Document/Data/ic:Profile/Resource/Scopes   where  (functx:is-value-in-sequence('/

d4science.research-infrastructures.eu/FARM/GRSF_Admin',$entry0ValueAuth/child::*[local-name()='Scope']/text())

)  and ( ($entry0ValueAuth/../Profile/Name/text() eq 'GRSF Updater') and ($entry0ValueAuth/../Profile/Category

/text() eq 'Service')  ) return $entry0ValueAuth/..
http://athena.ics.forth.gr:9000/grsf-services-updater
https://updater.grsf.d4science.org/grsf-services-updater/
2020-12-17 14:49:10,946 INFO  o.g.d.g.s.m.GRSFUpdaterServiceClient [ajp-bio-8009-exec-17,updateKB:147][PORTAL]

 629138475 [ajp-bio-8009-exec-17] INFO  org.gcube.datacatalogue.grsf_manage_widget.server.manage.GRSFUpdaterSe

rviceClient - Update request looks like {"old_status":"approved","annotation_message":"test","new_status":"pen

ding","knowledge_base_id":"99904192-d6fd-39e1-9995-a8a2985b1177","similar_grsf_records":[{"merge":false,"knowl

edge_base_id":"1b81351d-4f54-3734-8d2e-e8410175163e"}],"grsf_type_old":"Assessment Unit","short_name_new":"Ben

guela hake - Angola","catalog_id":"eb56e191-e6c9-4949-a9c3-939df7fe622b","sdg_flag":false,"grsf_type_new":"Ass

essment Unit","traceability_flag":false,"administrator_name":"Francesco Mangiacrapa","short_name_old":"Benguel

a hake - Angola","connections":[]}

2020-12-17 14:49:10,946 INFO  o.g.d.g.s.m.GRSFUpdaterServiceClient [ajp-bio-8009-exec-17,updateKB:149][PORTAL]

 629138475 [ajp-bio-8009-exec-17] INFO  org.gcube.datacatalogue.grsf_manage_widget.server.manage.GRSFUpdaterSe

rviceClient - Sending request to http://athena.ics.forth.gr:9000/grsf-services-updater/service/updater/post

2020-12-17 14:49:11,461 ERROR o.g.d.g.s.m.Utils [ajp-bio-8009-exec-17,updateRecord:243]java.lang.IllegalArgume

ntException: Update failed for the following reason An error occured while retrieving the record URI and type 

using a particular UUID

    at org.gcube.datacatalogue.grsf_mana

 as you can see the request is sent to http://athena.ics.forth.gr:9000/grsf-services-updater/service/updater/post

#8 - Dec 17, 2020 04:54 PM - Francesco Mangiacrapa

@marketak@ics.forth.gr, let me know if you want to change that URL and how (from http://athena.ics.forth.gr:9000/grsf-services-updater to ?)

#9 - Dec 18, 2020 08:07 AM - Yannis Marketakis

Thanks @francesco.mangiacrapa@isti.cnr.it . For the moment do not change anything. Let me make some test and I'll let you know 

#10 - Dec 28, 2020 11:52 AM - Francesco Mangiacrapa

- Assignee changed from Francesco Mangiacrapa to Yannis Marketakis

#11 - Feb 10, 2021 11:02 AM - Aureliano Gentile

Dear CNR and FORTH colleagues, this is a kind reminder for this long awaited issue and ticket, which so much prevent our colleagues to review and

approve/merge/archive records in their autonomy.

Thanks in advance for your consideration

@bracken.vanniekerk@fao.org

@anton.ellenbroek@fao.org

@marketak@ics.forth.gr

@francesco.mangiacrapa@isti.cnr.it

@luca.frosini@isti.cnr.it

@pasquale.pagano@isti.cnr.it 

#12 - Feb 10, 2021 11:23 AM - Yannis Marketakis

@aureliano.gentile@fao.org 

Have you tried it? It seems to be working.

#13 - Feb 10, 2021 01:42 PM - Aureliano Gentile

Thanks a lot Yannis, I was not aware it was fixed. (Also, FishSource colleagues recently reported it was not working.)

I see you made some changes (and hopefully revert them). I also added an annotation text and seems working (although then I cannot remove it, but

that is another story).

Furthermore, in the NewsFeed https://i-marine.d4science.org/group/imarine-gateway  this link 

You can inspect it here: http://data.d4science.org/ctlg/GRSF_Admin/a0bddbe4-1ccb-365e-98da-7c4f7a20f49b.

 is broken since it is pointing to 

http://data.d4science.org/ctlg/GRSF_Admin/a0bddbe4-1ccb-365e-98da-7c4f7a20f49b.%3Cbr%3E 

 but I guess this is for @francesco.mangiacrapa@isti.cnr.it  or @massimiliano.assante@isti.cnr.it  ?

With whom should I liaise to improve (simplify) the feed?

#14 - Feb 10, 2021 04:07 PM - Francesco Mangiacrapa

- Related to Feature #20688: Improve (simplify) the text repoted by GRSF post for merging added

#15 - Feb 10, 2021 04:07 PM - Pasquale Pagano
@francesco.mangiacrapa@isti.cnr.it please check the latest comment from Aureliano. 

#16 - Feb 10, 2021 04:07 PM - Francesco Mangiacrapa

- Related to Bug #20685: News feed - bad href in the GRSF post for merging added

#17 - Feb 10, 2021 04:17 PM - Massimiliano Assante

Hi, the link gets broken because some HTML code is present in the post, and this is not permitted. 

You can inspect it here: http://data.d4science.org/ctlg/GRSF_Admin/a0bddbe4-1ccb-365e-98da-7c4f7a20f49b.<br> <

br>This is a summary of the actions proposed: <br>

-Information of the record managed:

 Please replace the BR tags with new lines. Alternatively you can simply add a space between the dot and the BR tag.

#18 - May 25, 2022 04:45 PM - Francesco Mangiacrapa

In my opinion, @marketak@ics.forth.gr, if on the KB-side the business logic is OK (see previous #20203#note-13), this activity could be closed.

I just opened the new one (#23406) and after the patch that will be released to fix #23408, a new test of the "GRSF Management Panel" will be

performed (by @aureliano.gentile@fao.org)

#19 - May 26, 2022 09:40 AM - Yannis Marketakis

- Status changed from In Progress to Closed

This ticket is rather old (and probably obsolete).

Since there is a new one, I agree to close this and test management panel in #23406 

Files

Screenshot from 2020-11-27 14-55-12.png 19.2 KB Nov 27, 2020 Aureliano Gentile
